import { visit, concatAST } from 'graphql';
import { FlowDocumentsVisitor } from './visitor';
export const plugin = (schema, documents, config) => {
    let prefix = `type $Pick<Origin: Object, Keys: Object> = $ObjMapi<Keys, <Key>(k: Key) => $ElementType<Origin, Key>>;\n`;
    const allAst = concatAST(documents.reduce((prev, v) => {
        return [...prev, v.content];
    }, []));
    const visitorResult = visit(allAst, {
        leave: new FlowDocumentsVisitor(schema, config)
    });
    return [prefix, ...visitorResult.definitions].join('\n');
};
//# sourceMappingURL=index.js.map