import { BaseDocumentsVisitor } from 'graphql-codegen-visitor-plugin-common';
import { FlowSelectionSetToObject } from './flow-selection-set-to-object';
import { FlowOperationVariablesToObject } from 'graphql-codegen-flow';
export class FlowDocumentsVisitor extends BaseDocumentsVisitor {
    constructor(schema, config) {
        super(config, {
            useFlowExactObjects: config.useFlowExactObjects || false,
            useFlowReadOnlyTypes: config.useFlowReadOnlyTypes || false
        }, schema);
        this.setSelectionSetHandler(new FlowSelectionSetToObject(this.scalars, this.schema, this.convertName, this.config.addTypename, this.config));
        this.setVariablesTransformer(new FlowOperationVariablesToObject(this.scalars, this.convertName));
    }
}
//# sourceMappingURL=visitor.js.map